com.tibco.tibjms.admin

## Class FTLParams

- java.lang.Object
- - com.tibco.tibjms.admin.ThirdPartyParams
  - - com.tibco.tibjms.admin.FTLParams

-     public class FTLParams
      extends ThirdPartyParams

  This class represents FTL parameters.
  Since:
    EMS 8.2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FTL_DISCARD_AMOUNT` String parameter for the FTL Event Queue discard amount.
    `static java.lang.String` | `FTL_DISCARD_POLICY` String parameter for the FTL discard policy.
    `static java.lang.String` | `FTL_LOG_LEVEL` String parameter for the FTL log level.
    `static java.lang.String` | `FTL_MAX_EVENTS` String parameter for the FTL Event Queue maximum event count.
    `static java.lang.String` | `FTL_URL` String parameter for the FTL realm service URL.
    `static java.lang.String` | `FTL_URL_SECONDARY` String parameter for the FTL realm server secondary URL (FTL 5.x only).
    `static java.lang.String` | `FTL_USERNAME` String parameter for the FTL user name.

  - ### Method Summary

    - ### Methods inherited from class com.tibco.tibjms.admin.ThirdPartyParams

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FTL_URL

          public static final java.lang.String FTL_URL

      String parameter for the FTL realm service URL.
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

    - #### FTL_URL_SECONDARY

          public static final java.lang.String FTL_URL_SECONDARY

      String parameter for the FTL realm server secondary URL (FTL 5.x only).
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

    - #### FTL_USERNAME

          public static final java.lang.String FTL_USERNAME

      String parameter for the FTL user name.
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

    - #### FTL_LOG_LEVEL

          public static final java.lang.String FTL_LOG_LEVEL

      String parameter for the FTL log level.
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

    - #### FTL_DISCARD_POLICY

          public static final java.lang.String FTL_DISCARD_POLICY

      String parameter for the FTL discard policy.
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

    - #### FTL_DISCARD_AMOUNT

          public static final java.lang.String FTL_DISCARD_AMOUNT

      String parameter for the FTL Event Queue discard amount.
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

    - #### FTL_MAX_EVENTS

          public static final java.lang.String FTL_MAX_EVENTS

      String parameter for the FTL Event Queue maximum event count.
      Since:
        EMS 8.2.0
      See Also:
        Constant Field Values

Copyright © Cloud Software Group, Inc. All rights reserved